# https://github.com/ImageOptim/libimagequant/archive/2.11.10.tar.gz

%global major 0
%global libname   %mklibname imagequant %{major}
%global develname %mklibname imagequant -d

Name:           libimagequant
Version:        2.11.10
Release:        %mkrel 1
Summary:        Palette quantization library

License:        GPLv3+ and MIT
Group:          System/Libraries
URL:            https://github.com/ImageOptim/libimagequant
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  gcc

%description
Small, portable C library for high-quality conversion of RGBA images
to 8-bit indexed-color (palette) images.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
%{description}.

%package -n %{develname}
Summary:        Development files for %{name}.
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make_build shared

%install
%__install -Dpm 0755 %{name}.so.0 %{buildroot}%{_libdir}/%{name}.so.0
%__ln_s %{name}.so.0 %{buildroot}%{_libdir}/%{name}.so
%__install -Dpm 0644 %{name}.h %{buildroot}%{_includedir}/%{name}.h

%files -n %{libname}
%doc README.md CHANGELOG COPYRIGHT
%{_libdir}/%{name}.so.%{major}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 2.11.10-1uplos2018
- imported for uplos
